.masthead {
    height: 100vh; 
    background: linear-gradient(transparent 90%, white),url('./media/home.jpeg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
 
  }


  .mastBackground {
    height: 100%;
    background:linear-gradient(0deg, rgba(255,255,255,1) 0%, rgba(26, 1, 255, 0.479) 50%, rgba(255,255,255,1) 100%);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    letter-spacing: 1;
  }

  .mastBackground2 {
  height: 100%;
    background:linear-gradient(0deg, rgba(255,255,255,1) 0%, rgba(26, 1, 255, 0.479) 50%, rgba(255,255,255,1) 100%);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    letter-spacing: 1;
  }

.colorPrincipal{
  color:rgb(248, 103, 103);
}
.text-principal{
 color:rgb(248, 103, 103);
 letter-spacing: 1px;
}

.text-secondary{
  color: blueviolet;
}
.textFooter{
  color: rgb(248, 103, 103); 
}
.borderFooter{
  border-color: rgb(248, 103, 103) ;
  border-top: 2px 2px ;
}

.backgroundFooter{
 background:linear-gradient(white , transparent 10%), #0c0459;

}


.backgroundFooterEnd{
  background: #0c0459;
 
 }

.shadowCaratter{
  text-shadow: 1px 2px white;
}



.borderCard{
  background: linear-gradient(45deg, #1e1842,#6f42c1 ,#6610f2 ) ;
  border: 1px solid white; 
  border-radius: 25px;
  background-size: 200%;
  background-position: 0px 0px;
  transition: 0.8s;
  letter-spacing: 1;
}


.borderCard:hover{
  background-position: 100% 0px;
}


.borderImage{
  border: 2px solid;
  border-radius: 25px
}

.buttonDefinition{
  padding: 10px;
  border: 1px solid white;
  box-shadow: 1px 1px white;
  border-radius: 10px;
  background-color: rgb(248, 103, 103);
  color: white;
  justify-content: center;
  transition: transform .2s;
}

.buttonDefinitionFooter{
  transition: transform .2s;
}

.buttonDefinition:hover{
  transform: scale(1.2);
}

.buttonDefinitionFooter{
  transition: transform .2s;
}


.buttonDefinitionFooter:hover{
  transform: scale(1.2);
}

.imageDefinition{
  transition: transform .2s;
}

.imageDefinition:hover{
  transform: scale(1.2);
}

button:focus{
  outline: none !important;
} 

h1{

  font-family: 'Lato', sans-serif;
}

.fontSecondary{
  font-family: 'Noto Sans JP', sans-serif;
}

#navbar{
z-index: 999;
}

.navbarColor{
  background-color: #fd7e14;
  border: 2px solid #6f42c1 ;
  color: white;

}


.nav-link{
  color: white !important ;
  font-weight: bold;
  letter-spacing: 1px;
}

.text-purple{
  color: rgb(248, 103, 103) !important;
  font-weight: bold;
  letter-spacing: 1px;
}

#navbar{
transition: 0.4s;
}

#button{
  transition: 0.5s;  
}

@media screen and (max-width: 576px) {
  .masthead {
    height: 120%;
    background: linear-gradient(transparent 90%, white),url('./media/home1.png');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
  }
}


.transitionGeneral{

  transition: 100s;
}

.buttonShadow{
text-shadow: 2px 2px rgb(0, 0, 0);
}

.shareButton {
  width: 240px;
  height:50px;
  background: #dfe6e9;
  box-shadow: 2px 2px 2px white;
  border-color: 1px solid white;
  border-radius: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
  position: relative;
  cursor: pointer;
  transition: .3s linear;
}
.shareButton:hover{
  transform: scale(1.1);
}
.shareButton span{
  position: absolute;
  width: 100%;
  height: 100%;
  background: rgb(248, 103, 103);
  color: #f1f1f1;
  text-align: center;
  line-height: 45px;
  z-index: 999;
  transition: .6s linear;
  border-radius: 40px;
 
}
.shareButton:hover span{
  transform: translateX(-100%);
  transition-delay: .3s;
}
.shareButton a {
  flex: 1;
  font-size: 26px;
  margin-right: 5px;
  color:#2d3436;
  text-align: center;
  transform: translateX(-100%);
  opacity: 0;
  transition: .3s linear;
}
.shareButton:hover a {
  opacity: 1;
  transform: translateX(0);
}
.shareButton a:nth-of-type(1){
  transition-delay: 1s;
}
.shareButton a:nth-of-type(2){
  transition-delay: .8s;
}
.shareButton a:nth-of-type(3){
  transition-delay: .6s;
}
.shareButton a:nth-of-type(4){
  transition-delay: .4s;
}



.shareButtonNavbar {
  width: 240px;
  height:50px;
  background: #dfe6e9;
  box-shadow: 2px 2px 2px black;
  border-color: 1px solid white;
  border-radius: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
  position: relative;
  cursor: pointer;
  transition: .3s linear;
}
.shareButtonNavbar:hover{
  transform: scale(1.1);
}
.shareButtonNavbar span{
  position: absolute;
  width: 100%;
  height: 100%;
  background: rgb(248, 103, 103);
  color: #f1f1f1;
  text-align: center;
  line-height: 45px;
  z-index: 999;
  transition: .6s linear;
  border-radius: 40px;
 
}
.shareButtonNavbar:hover span{
  transform: translateX(-100%);
  transition-delay: .3s;
}
.shareButtonNavbar a {
  flex: 1;
  font-size: 26px;
  margin-right: 5px;
  color: #2d3436;
  text-align: center;
  transform: translateX(-100%);
  opacity: 0;
  transition: .3s linear;
}
.shareButtonNavbar:hover a {
  opacity: 1;
  transform: translateX(0);
}
.shareButtonNavbar a:nth-of-type(1){
  transition-delay: 1s;
}
.shareButtonNavbar a:nth-of-type(2){
  transition-delay: .8s;
}
.shareButtonNavbar a:nth-of-type(3){
  transition-delay: .6s;
}
.shareButtonNavbar a:nth-of-type(4){
  transition-delay: .4s;
}


.cardImage{
  background:linear-gradient( white 2%,transparent,white 98% ),linear-gradient(to right,white 2%,transparent,white 98%),url('media/school.png');
  background-repeat: no-repeat;
  height: 1000%;
  background-position: center;
  background-size: cover;
}



@media screen and (max-width: 576px) {
  .cardImage {
    background: #6f42c1 linear-gradient(to top, white 10%,transparent,white 90%);
  }
}

.container .cardIcon .face.face2 .content p {
  margin: 0;
  padding: 0;
  text-align: center;
  color: #414141;
}

.container .cardIcon .face.face2 .content h3 {
  margin: 0 0 10px 0;
  padding: 0;
  color: #fff;
  font-size: 24px;
  text-align: center;
  color: #414141;
  position:absolute;
} 

.container a {
  text-decoration: none;
  color: #414141;
}


.container .cardCustom{
  position: relative;
  cursor: pointer;
 
  
}

.container .cardCustom .face{
  border: 1px solid white; 
  border-radius: 25px;
  width: 100%;
  height: 200px;
  transition: 0.5s;
}

.container .cardCustom .face.face1{
  position: relative;
  background: #333;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 1;
  transform: translateY(100px); 
}

.container .cardCustom:hover .face.face1{
  background: #6f42c1;
  transform: translateY(0);
}

.container .cardCustom .face.face1 .content{
  opacity: 0.2;
  transition: 0.5s;
}

.container .cardCustom:hover .face.face1 .content{
  opacity: 1;
}

.container .cardCustom .face.face1 .content img{
  max-width: 100px;
}

.container .cardCustom .face.face1 .content h3{
  margin: 0px 0 0;
  padding: 0;
  color:rgb(248, 103, 103);
  text-shadow: 1px 1px white;
  text-align: center;
  font-size: 1.5em;
  letter-spacing: 1px;
  /* colore testo */
}

.container .cardCustom .face.face2{
  border: 1px solid white; 
  position: relative;
  background: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 20px;
  box-sizing: border-box;
  box-shadow: 0 20px 50px rgba(0, 0, 0, 0.8);
  transform: translateY(-100px);
}

.container .cardCustom:hover .face.face2{
  transform: translateY(0);
}

.container .cardCustom .face.face2 .content p{
  margin: 0;
  padding: 0;
}

.container .cardCustom .face.face2 .content a{
  margin: 15px 0 0;
  display:  inline-block;
  text-decoration: none;
  font-weight: 900;
  color: #333;
  padding: 5px;
  border: 1px solid #333;
}

.container .cardCustom .face.face2 .content a:hover{
  background: #333;
  color: #fff;
}


.colorCard{
  filter: invert(100%);
  
}
